zenilib: zenilib/jni/external/freetype2/include/freetype/ftbitmap.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ftbitmap.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Functions

| FT_Bitmap_Convert (FT_Library library, const FT_Bitmap *source, FT_Bitmap *target, FT_Int alignment)
| FT_Bitmap_Copy (FT_Library library, const FT_Bitmap *source, FT_Bitmap *target)
| FT_Bitmap_Done (FT_Library library, FT_Bitmap *bitmap)
| FT_Bitmap_Embolden (FT_Library library, FT_Bitmap *bitmap, FT_Pos xStrength, FT_Pos yStrength)
FT_BEGIN_HEADER | FT_Bitmap_New (FT_Bitmap *abitmap)
| FT_GlyphSlot_Own_Bitmap (FT_GlyphSlot slot)

## Function Documentation

FT_Bitmap_Convert | ( | FT_Library | library,
|  | const FT_Bitmap * | source,
|  | FT_Bitmap * | target,
|  | FT_Int | alignment
| ) |  |

Definition at line 375 of file ftbitmap.c.

References error, FT_ARRAY_COPY, FT_Err_Invalid_Argument, FT_Err_Ok, FT_PIXEL_MODE_GRAY, FT_PIXEL_MODE_GRAY2, FT_PIXEL_MODE_GRAY4, FT_PIXEL_MODE_LCD, FT_PIXEL_MODE_LCD_V, FT_PIXEL_MODE_MONO, FT_QREALLOC, FT_ULONG_MAX, i, j, and pad.

Referenced by FT_Bitmap_Embolden().

FT_Bitmap_Copy | ( | FT_Library | library,
|  | const FT_Bitmap * | source,
|  | FT_Bitmap * | target
| ) |  |

Definition at line 41 of file ftbitmap.c.

References error, FT_Err_Ok, FT_MEM_COPY, FT_QALLOC, FT_QREALLOC, and NULL.

Referenced by ft_bitmap_glyph_copy(), ft_bitmap_glyph_init(), and FT_GlyphSlot_Own_Bitmap().

FT_Bitmap_Done | ( | FT_Library | library,
|  | FT_Bitmap * | bitmap
| ) |  |

Definition at line 646 of file ftbitmap.c.

References FT_Err_Invalid_Argument, FT_Err_Ok, FT_FREE, and null_bitmap.

Referenced by FT_Bitmap_Embolden(), and ft_bitmap_glyph_done().

FT_Bitmap_Embolden | ( | FT_Library | library,
|  | FT_Bitmap * | bitmap,
|  | FT_Pos | xStrength,
|  | FT_Pos | yStrength
| ) |  |

Definition at line 214 of file ftbitmap.c.

References error, ft_bitmap_assure_buffer(), FT_Bitmap_Convert(), FT_Bitmap_Done(), FT_Bitmap_New(), FT_Err_Invalid_Argument, FT_Err_Ok, FT_INT_MAX, FT_PIX_ROUND, FT_PIXEL_MODE_GRAY2, FT_PIXEL_MODE_GRAY4, FT_PIXEL_MODE_LCD, FT_PIXEL_MODE_LCD_V, FT_PIXEL_MODE_MONO, i, and xstr.

Referenced by FT_GlyphSlot_Embolden().

FT_BEGIN_HEADER FT_Bitmap_New | ( | FT_Bitmap * | abitmap | ) |

Definition at line 32 of file ftbitmap.c.

References null_bitmap.

Referenced by FT_Bitmap_Embolden(), ft_bitmap_glyph_init(), and FT_GlyphSlot_Own_Bitmap().

FT_GlyphSlot_Own_Bitmap | ( | FT_GlyphSlot | slot | ) |

Definition at line 621 of file ftbitmap.c.

References error, FT_Bitmap_Copy(), FT_Bitmap_New(), FT_Err_Ok, and FT_GLYPH_OWN_BITMAP.

Referenced by FT_GlyphSlot_Embolden().